Branch:  Pull request: https://github.com/Katello/smart_proxy_c

ontainer_gateway/pull/36

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

The format introduced in 2.0.0 gives a string focus on PostgreSQL but the configuration file can be simplified if it just accepts a

connection string. The database backends specific optins (SQLite) can be determined based on this connection string, which

includes the backend.

Related issues:

Has duplicate Katello - Refactor #37376: Container Gateway:  configure DB wit... Duplicate

Associated revisions

Revision 406328c8 - 04/26/2024 06:49 PM - Ewoud Kohl van Wijngaarden

Refs #37375 - Refactor ContainerGatewayBackendTest to a simple unit test

The ContainerGatewayMain class doesn't need anything from the API, so

this strips away all the API parts that aren't needed. It now uses

simple constructor arguments instead of mocking out any test settings.

Revision 35bfd2ba - 04/26/2024 06:49 PM - Ewoud Kohl van Wijngaarden

Refs #37375 - Avoid loading test settings in class construction

This is already done in the setup part.

Revision b5b13fd3 - 04/26/2024 06:49 PM - Ewoud Kohl van Wijngaarden

Refs #37375 - Refactor Database class to avoid options hash

The options hash is a poor API because it's not immediately obvious what

the various parameters are. This refactors to be a very light wrapper

around Sequel.connect with optional support to migrate the old database.

The ContainerGatewayBackendTest is also modified to use an in-memory

database, which removes the need for any tear down.

Revision 44d2fe74 - 04/26/2024 06:49 PM - Ewoud Kohl van Wijngaarden

Fixes #37375 - Refactor settings to connection_string

This prefers a single connection_string setting to be used to connect to

a database. This can be anything that Sequel supports. This simplifies

configuration and also allows for easy use of an in-memory database in

testing.

The default value for sqlite_db_path is dropped so that users explicitly

need to opt in to a migration if needed.

The example settings file now reflects this.

History

#1 - 04/23/2024 10:52 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/Katello/smart_proxy_container_gateway/pull/36 added

#2 - 04/24/2024 05:47 PM - Ian Ballou

- Target version set to Katello 4.13.0

- Triaged changed from No to Yes

#3 - 04/24/2024 05:52 PM - Ian Ballou

- Has duplicate Refactor #37376: Container Gateway:  configure DB with a single connection string added

#4 - 04/26/2024 07:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset smart_proxy_container_gateway|44d2fe74aa5a1a69ce31851f9309631b030ff9ec.
